zn.define(function () {

    var model = zn.db.common.model;

    return zn.Model("zn_plugin_workflow_index", {
        mixins: [
            model.Base,
            model.Tree,
            model.Rights
        ],
        properties: {
            code_format: {
                value: null,
                type: ['varchar', 20],
                default: 'CN-{Ymd}-{id, 5}'
            },
            schema_type: {
                value: null,
                type: ['varchar', 20],
                default: 'category'
            },
            schema_id: {
                value: null,
                type: ['int', 11],
                default: 0
            },
            schema_root_id: {
                value: null,
                type: ['int', 11],
                default: 0
            },
            url: {
                value: null,
                type: ['varchar', 100],
                default: ''
            },
            icon: {
                value: null,
                type: ['varchar', 20],
                default: ''
            },
            json_schema: {
                value: null,
                type: ['varchar', 3000],
                default: ""
            },
            xml_schema: {
                value: null,
                type: ['varchar', 3000],
                default: ''
            }
        }
    });

})
