zn.define(function () {

    var model = zn.db.common.model;

    return zn.Model("zn_plugin_workflow_instance_log", {
        mixins: [
            model.Base,
            model.Rights
        ],
        properties: {
            instance_id: {
                value: null,
                type: ['int', 11],
                default: 0
            },
            instance_step_id: {
                value: null,
                type: ['int', 11],
                default: 0
            },
            content: {
                value: null,
                type: ['varchar', 5000],
                default: ''
            },
            attachments: {
                value: null,
                type: ['varchar', 5000],
                default: ","
            }
        }
    });

})
