zn.define(function () {

    var model = zn.db.common.model;

    return zn.Model("zn_plugin_workflow_schema_action", {
        mixins: [
            model.Base,
            model.Rights
        ],
        properties: {
            schema_uuid: {
                value: null,
                type: ['varchar', 50],
                default: ""
            },
            _order: {
                value: null,
                type: ['varchar', 10],
                default: '__init'  //__before, __init, __after
            },
            _type: {
                value: null,
                type: ['varchar', 250],
                default: 'url'  //url, email, message, sms
            },
            _key: {
                value: null,
                type: ['varchar', 250],
                default: ''
            },
            _value: {
                value: null,
                type: ['varchar', 2500],
                default: ''
            },
            _parameters: {
                value: null,
                type: ['varchar', 2500],
                default: ''
            },
            disabled: {
                value: null,
                type: ['int', 11],
                default: 1
            }
        }
    });

});
