"use strict";

require('./FlowStep.less');

var React = require('react');

module.exports = React.createClass({
  displayName: "exports",
  __renderSchemaFormData: function __renderSchemaFormData(data) {
    console.log(data);

    if (data) {
      var _data = JSON.parse(data);

      return React.createElement(zn.react.Group, {
        title: "\u81EA\u5B9A\u4E49\u8868\u5355",
        className: "schema-form-data"
      }, React.createElement("ul", null, Object.keys(_data).map(function (key) {
        return React.createElement("li", {
          className: "item"
        }, React.createElement("div", {
          className: "key"
        }, key), React.createElement("div", {
          className: "value"
        }, _data[key]));
      })));
    } else {
      return null;
    }
  },
  __onRemark: function __onRemark(value, index) {
    zn.dialog({
      title: '添加备注',
      content: React.createElement(zn.react.Form, {
        action: "/zn.plugin.workflow/wfinstance/remark",
        exts: {
          instance_id: this.props.instanceId,
          instance_step_id: index
        },
        onSubmitSuccess: this.props.onRemarkSuccess,
        items: [{
          title: '备注',
          name: 'content',
          type: 'Textarea'
        }, {
          title: '附件',
          name: 'attachments',
          type: 'FileUploader'
        }]
      })
    });
  },
  render: function render() {
    return React.createElement("div", {
      className: "zn-plugin-workflow-instance-flow-step zn-plugin-workflow-panel"
    }, React.createElement("div", {
      className: "title"
    }, React.createElement("span", null, "\u5F53\u524D\u72B6\u6001\uFF1A", this.props.current.zn_title)), React.createElement("div", {
      className: "content"
    }, React.createElement("ul", {
      className: "steps"
    }, this.props.data.map(function (value, index) {
      var _this = this;

      if (value.type == 'end') {
        value.state = 2;
      }

      return React.createElement("li", {
        className: "step state-" + value.state + ' type-' + value.type
      }, React.createElement("div", {
        className: "title"
      }, value.zn_title), React.createElement("div", {
        className: "dot"
      }, !!(value.state == 1) ? React.createElement("i", {
        "data-tooltip": "\u6DFB\u52A0\u5907\u6CE8",
        style: {
          cursor: 'pointer'
        },
        onClick: function onClick() {
          return _this.__onRemark(value, index);
        },
        className: "fa fa-pencil-square-o"
      }) : React.createElement("i", {
        className: "fa fa-check"
      })), React.createElement("div", {
        className: "detail"
      }, React.createElement("div", {
        className: "user"
      }, value.zn_modify_user || '☆☆☆'), React.createElement("div", {
        className: "time"
      }, value.zn_modify_time || value.zn_create_time)));
    }.bind(this))), React.createElement("ul", {
      className: "steps-detail"
    }, this.props.data.map(function (value) {
      if (value.state == 1 || value.type == 'end') {
        return null;
      }

      return React.createElement("li", {
        className: "step state-" + value.state + ' type-' + value.type
      }, React.createElement("div", {
        className: "step-header"
      }, React.createElement("span", null, "[ ", value.zn_modify_user, " ] ", value.zn_title), React.createElement("span", null, value.zn_modify_time || value.zn_create_time)), React.createElement("div", {
        className: "step-content"
      }, this.__renderSchemaFormData(value.schema_form_data), React.createElement("div", {
        className: "note"
      }, value.zn_note), React.createElement("div", {
        className: "files"
      }, React.createElement("div", {
        className: "title"
      }, "\u9644\u4EF6\uFF1A"), React.createElement(zn.react.Files, {
        value: value.files
      }))));
    }.bind(this))), React.createElement(zn.react.Group, {
      title: "\u5907\u6CE8\u8BB0\u5F55"
    }, React.createElement("ul", {
      className: "remarks"
    }, this.props.current.remarks.map(function (value) {
      return React.createElement("li", {
        className: "remark"
      }, React.createElement("div", {
        className: "remark-header"
      }, React.createElement("span", null, value.zn_create_user_convert), React.createElement("span", null, value.zn_create_time)), React.createElement("div", {
        className: "remark-content"
      }, React.createElement("div", {
        className: "note"
      }, value.content), React.createElement(zn.react.Files, {
        value: value.attachments
      })));
    }.bind(this))))));
  }
});