"use strict";

require('./WFMy.less');

var React = require('react');

module.exports = React.createClass({
  displayName: "exports",
  getInitialState: function getInitialState() {
    return {
      state: 1,
      data: zn.store.post('/zn.plugin.workflow/my/done', {
        where: {
          state: 1
        }
      }),
      items: [{
        title: '模块',
        name: 'index_id_convert',
        width: 80
      }, {
        title: '单号',
        name: 'code',
        width: 150,
        filter: {
          type: 'Input',
          opts: ['like']
        }
      }, {
        title: '状态',
        name: 'state',
        width: 80
      }, {
        title: '当前节点',
        name: 'current_state',
        width: 120
      }, {
        title: '申请人',
        name: 'zn_create_user_convert',
        width: 100
      }, {
        title: '申请时间',
        name: 'zn_create_time',
        width: 140,
        filter: {
          type: 'Input',
          opts: ['like']
        }
      }, {
        title: '操作时间',
        name: 'zn_modify_time',
        width: 140,
        filter: {
          type: 'Input',
          opts: ['like']
        }
      }, {
        title: '说明',
        name: 'zn_note',
        filter: {
          type: 'Input',
          opts: ['like']
        }
      }]
    };
  },
  __onTableColumnRender: function __onTableColumnRender(rowIndex, columnIndex, data, item, value) {
    switch (columnIndex) {
      case 1:
        return React.createElement("a", {
          "data-tooltip": data.closed ? '已关闭' : '',
          style: {
            color: data.closed ? '#919191' : null
          },
          href: '#' + zn.react.session.fixPath('/znpluginworkflow.wfinstance') + '?instanceId=' + data.id
        }, value);

      case 2:
        switch (value) {
          case 1:
            return React.createElement("span", {
              className: "status",
              style: {
                backgroundColor: '#f0ad4e'
              }
            }, "\u5F85\u5904\u7406");

          case -1:
            return React.createElement("span", {
              className: "status",
              style: {
                backgroundColor: '#6def55'
              }
            }, "\u5DF2\u7ED3\u675F");

          case -2:
            return React.createElement("span", {
              className: "status",
              style: {
                backgroundColor: '#dad8d8'
              }
            }, "\u5DF2\u53D6\u6D88");

          case 2:
            return React.createElement("span", {
              className: "status",
              style: {
                backgroundColor: '#0d8c06'
              }
            }, "\u5DF2\u5BA1\u6838");
        }

        break;
    }
  },
  __onStatusChange: function __onStatusChange(data) {
    this.state.data._data.where.state = data.value;
    this.state.data.exec();
    this.setState({
      state: data.value
    });
  },
  render: function render() {
    return React.createElement(zn.react.Page, {
      title: "\u7ECF\u6211\u5904\u7406",
      className: "zn-plugin-workflow-wf-my",
      headerCenter: React.createElement(zn.react.ListView, {
        className: "zr-tab-ios",
        selectMode: "radio",
        valueKey: "state",
        onClick: this.__onStatusChange,
        value: this.state.state,
        data: [{
          state: 1,
          text: '待处理'
        }, {
          state: -1,
          text: '已结束'
        }, {
          state: 2,
          text: '已审核'
        }, {
          state: -2,
          text: '已取消'
        }]
      })
    }, React.createElement(zn.react.PagerView, {
      view: "Table",
      enableFilter: true,
      showHeader: true,
      columnRender: this.__onTableColumnRender,
      data: this.state.data,
      items: this.state.items
    }));
  }
});