zn.define(function () {

    var model = zn.db.common.model;

    return zn.Model("zn_plugin_workflow_index_table", {
        mixins: [
            model.Base,
            model.Rights
        ],
        properties: {
            import_enabled: {
                value: null,
                type: ['int', 4],
                default: 0
            },
            export_enabled: {
                value: null,
                type: ['int', 4],
                default: 0
            },
            is_input: {
                value: null,
                type: ['int', 4],
                default: 0
            },
            index_id: {
                value: null,
                type: ['int', 11],
                default: 0
            },
            parent_id: {
                value: null,
                type: ['int', 11],
                default: 0
            },
            table_name: {
                value: null,
                type: ['varchar', 100],
                default: ''
            },
            has_generated: {
                value: null,
                type: ['int', 4],
                default: 0
            },
            mixins: {
                value: null,
                type: ['varchar', 100],
                default: 'zn.db.common.model.Base'
            }
        }
    });

})
