zn.define(function () {

    var model = zn.db.common.model;

    return zn.Model("zn_plugin_workflow_log", {
        mixins: [
            model.Base
        ],
        properties: {
            user_id: {
                value: null,
                type: ['int', 11],
                convert: 'zn_plugin_admin_convert_user({})',
                default: 0
            },
            type: {
                value: null,
                type: ['int', 11],
                default: 0   //0: 登录， 1: 登出, 2: 系统内操作
            },
            address: {
                value: null,
                type: ['varchar', 250],
                default: ''
            },
            exec_sql: {
                value: null,
                type: ['varchar', 500],
                default: ''
            }
        }
    });

})
