zn.define(function () {

    var model = zn.db.common.model;

    return zn.Model("zn_plugin_workflow_schema", {
        mixins: [
            model.Base,
            model.Rights
        ],
        properties: {
            uuid: {
                value: null,
                type: ['varchar', 100],
                default: ''
            },
            __before: {
                value: null,
                type: ['varchar', 2000],
                default: ''
            },
            __after: {
                value: null,
                type: ['varchar', 2000],
                default: ''
            },
            index_id: {
                value: null,
                type: ['int', 11],
                default: 0
            },
            sub_index_id: {
                value: null,
                type: ['varchar', 50],
                default: ','
            },
            previous_nodes: {
                value: null,
                type: ['varchar', 200],
                default: ','
            },
            next_nodes: {
                value: null,
                type: ['varchar', 200],
                default: ','
            },
            previous_ids: {
                value: null,
                type: ['varchar', 200],
                default: ','
            },
            next_ids: {
                value: null,
                type: ['varchar', 200],
                default: ','
            },
            type: {
                value: null,
                type: ['varchar', 10],
                default: 'normal'
            },
            rights_logic: {
                value: null,
                type: ['varchar', 100],
                default: 'rights.logic.default'
            },
            icon: {
                value: null,
                type: ['varchar', 20],
                default: ''
            },
            attrs: {
                value: null,
                type: ['varchar', 3000],
                default: ""
            }
        }
    });

})
