"use strict";

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

var React = require('react');

var WFInstanceList = require('../component/WFInstanceList.js');

module.exports = React.createClass({
  displayName: "exports",
  getDefaultProps: function getDefaultProps() {
    return {
      model: 'zn_plugin_workflow_index',
      pid: 0,
      title: '流程实例查询',
      menuId: 0,
      fields: [{
        title: '名称',
        type: 'Input',
        name: 'zn_title'
      }, {
        title: '类型',
        type: 'Radio',
        name: 'schema_type',
        value: 'category',
        data: [{
          text: '流程类别',
          value: 'category'
        }, {
          text: '流程定义',
          value: 'schema'
        }]
      }, {
        title: '说明',
        type: 'Textarea',
        name: 'zn_note'
      }]
    };
  },
  __rightRender: function __rightRender(data) {
    if (data.data.schema_type == 'category') {
      return;
    }

    return React.createElement(WFInstanceList, {
      indexId: data.value
    });
  },
  __itemContentRender: function __itemContentRender(data, treeColumn, tree) {
    return React.createElement("span", null, data.schema_type == 'category' ? React.createElement("i", {
      "data-tooltip": "\u6D41\u7A0B\u5B9E\u4F8B\u67E5\u8BE2",
      className: "fa fa-folder",
      style: {
        padding: 5
      }
    }) : React.createElement("i", {
      title: "\u6D41\u7A0B\u5B9A\u4E49",
      className: 'fa ' + (data.icon || 'fa-sitemap'),
      style: {
        padding: 5
      }
    }), data.zn_title);
  },
  render: function render() {
    return React.createElement(zn.plugin.admin.TreeModelView, _extends({
      editable: false,
      leftWidth: 20
    }, this.props, {
      rightRender: this.__rightRender,
      itemContentRender: this.__itemContentRender
    }));
  }
});