/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, { enumerable: true, get: getter });
/******/ 		}
/******/ 	};
/******/
/******/ 	// define __esModule on exports
/******/ 	__webpack_require__.r = function(exports) {
/******/ 		if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 			Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 		}
/******/ 		Object.defineProperty(exports, '__esModule', { value: true });
/******/ 	};
/******/
/******/ 	// create a fake namespace object
/******/ 	// mode & 1: value is a module id, require it
/******/ 	// mode & 2: merge all properties of value into the ns
/******/ 	// mode & 4: return value when already ns object
/******/ 	// mode & 8|1: behave like require
/******/ 	__webpack_require__.t = function(value, mode) {
/******/ 		if(mode & 1) value = __webpack_require__(value);
/******/ 		if(mode & 8) return value;
/******/ 		if((mode & 4) && typeof value === 'object' && value && value.__esModule) return value;
/******/ 		var ns = Object.create(null);
/******/ 		__webpack_require__.r(ns);
/******/ 		Object.defineProperty(ns, 'default', { enumerable: true, value: value });
/******/ 		if(mode & 2 && typeof value != 'string') for(var key in value) __webpack_require__.d(ns, key, function(key) { return value[key]; }.bind(null, key));
/******/ 		return ns;
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 7);
/******/ })
/************************************************************************/
/******/ ([
/* 0 */
/***/ (function(module, exports) {

module.exports = React;

/***/ }),
/* 1 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = zn.arrayValueToObject(["WFFormDesigner", "CreateInstance"], function (value, index) {
  return __webpack_require__(8)("./" + value + ".js");
});

/***/ }),
/* 2 */
/***/ (function(module, exports, __webpack_require__) {

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

__webpack_require__(9);

var React = __webpack_require__(0);

var DeputyTable = React.createClass({
  displayName: "DeputyTable",
  getInitialState: function getInitialState() {
    return {
      data: this.props.deputy.data || [],
      size: 0,
      datas: {},
      requiredFields: [],
      notExists: []
    };
  },
  componentDidMount: function componentDidMount() {
    this.__initValidateDataSource();
  },
  __initValidateDataSource: function __initValidateDataSource() {
    var _fields = this.props.deputy.fields,
        _data = null,
        _self = this;

    _fields.forEach(function (field, index) {
      if (field.required) {
        this.state.requiredFields.push(field.title);

        if (field.data) {
          if (field.data._method) {
            (function (name) {
              field.data.exec().then(function (data) {
                if (data.status == 200) {
                  _self.state.datas[name] = data.result.map(function (item) {
                    return item.value;
                  });
                }
              });
            })(field.name);
          } else {
            this.state.datas[field.name] = field.data;
          }
        } else {
          this.state.datas[field.name] = true;
        }
      }
    }.bind(this));

    this.forceUpdate();
  },
  __onChange: function __onChange(files) {
    var _file = files[0];

    if (_file.name.indexOf('xls') == -1) {
      return (zn.notification.error || window.alert).call(null, '文件[' + _file.name + ']不是 xlsx / xls 类型'), false;
    }
  },
  __onComplete: function __onComplete(data, uploader) {
    if (this.refs.checkbox.getValue()) {
      this.state.data = this.state.data.concat(data[0].values);
    } else {
      this.state.data = data[0].values;
    }

    var _validate = this.props.onValidate && this.props.onValidate(this.state.data);

    if (_validate) {
      this.state.data = _validate;
    }

    if (_validate === false) {
      return false;
    }

    this.state.size = this.state.data.length; //this.state.deputyTables[index].data = (this.state.deputyTables[index].data||[]).concat(data[0].values);

    this.forceUpdate();
    this.props.onComplete && this.props.onComplete(data, uploader);
  },
  __onError: function __onError(msg) {
    zn.notification.error('Import Error: ' + msg);
    this.props.onError && this.props.onError(msg);
  },
  getValue: function getValue() {
    if (this.state.notExists.length) {
      return zn.notification.error("导入数据中有红色无效数据"), false;
    }

    var _value = this.refs.edit_table.getValue();

    _value = _value.map(function (item) {
      for (var key in item) {
        if (!item[key]) {
          item[key] = null;
          delete item[key];
        }
      }

      return item;
    });
    return _value;
  },
  setValue: function setValue(data) {
    this.refs.edit_table.setValue(data);
  },
  __onTableRowStyleValidate: function __onTableRowStyleValidate(item, index, length) {
    var _keys = Object.keys(this.state.datas);

    this.state.notExists = [];

    for (var i = 0, _len = _keys.length; i < _len; i++) {
      var _values = this.state.datas[_keys[i]],
          _value = item[_keys[i]];

      switch (_typeof(_values)) {
        case 'string':
        case 'number':
          if (_values != _value) {
            this.state.notExists.push(item);
            return {
              backgroundColor: '#d9534f66'
            };
          }

          break;

        case 'boolean':
          if (!_value) {
            this.state.notExists.push(item);
            return {
              backgroundColor: '#d9534f66'
            };
          }

          break;

        case 'object':
          if (_values.indexOf(_value) == -1) {
            this.state.notExists.push(item);
            return {
              backgroundColor: '#d9534f66'
            };
          }

          break;

        default:
      }
    }
  },
  __onRowColumnChange: function __onRowColumnChange(row, column, value, data, props) {
    this.props.onRowColumnChange && this.props.onRowColumnChange(row, column, value, data, props);
    this.forceUpdate();
  },
  __onAddRow: function __onAddRow() {
    this.state.data.push({});
    this.forceUpdate();
  },
  render: function render() {
    var _this = this;

    var deputy = this.props.deputy;
    return React.createElement("div", {
      className: "deputys"
    }, React.createElement("div", {
      className: "title"
    }, React.createElement("span", null, deputy.zn_title), (this.props.deputyUploadEnabled || !!deputy.import_enabled) && React.createElement("div", {
      className: "btns"
    }, React.createElement("a", {
      className: "btn",
      href: zn.http.fixURL('/zn.plugin.workflow/wfindextable/exportTableExcelTemplate?tableId=' + deputy.id)
    }, React.createElement("i", {
      className: "icon fa fa-download zr-padding-3"
    }), React.createElement("span", null, "Excel\u6570\u636E\u6A21\u677F\u4E0B\u8F7D")), React.createElement(zn.react.AjaxUploader, {
      action: "/zn.plugin.workflow/wfindextable/importTableExcelData",
      hiddens: {
        tableId: deputy.id
      },
      onChange: this.__onChange,
      onError: this.__onError,
      onComplete: function onComplete(data, uploader) {
        return _this.__onComplete(data, uploader);
      },
      multipart: false
    }, React.createElement("div", {
      className: "btn"
    }, React.createElement("i", {
      className: "icon fa fa-upload zr-padding-3"
    }), React.createElement("span", null, "Excel\u8868\u683C\u5BFC\u5165"), !!this.state.size && React.createElement("span", {
      style: {
        color: 'red'
      }
    }, "\u3010\u5DF2\u5BFC\u5165 ", this.state.size, " \u6761\u3011"))), React.createElement(zn.react.Checkbox, {
      style: {
        alignItems: 'center'
      },
      ref: "checkbox",
      text: "\u8FFD\u52A0\u6A21\u5F0F"
    }))), React.createElement("div", {
      className: "table"
    }, React.createElement(zn.react.EditableTable, {
      onRowColumnChange: this.__onRowColumnChange,
      rowStyleValidate: this.__onTableRowStyleValidate,
      ref: "edit_table",
      headers: deputy.fields,
      data: this.state.data
    })), !!this.state.requiredFields.length && React.createElement("div", {
      className: "tips"
    }, React.createElement("i", {
      className: "fa fa-info zr-padding-5"
    }, "\u63D0\u793A\uFF1A"), this.state.requiredFields.map(function (value) {
      return React.createElement("span", {
        style: {
          color: 'red',
          padding: 5
        }
      }, value);
    }), React.createElement("span", null, "\u662F\u5FC5\u586B\u8F93\u5165\u5B57\u6BB5")));
  }
});
module.exports = React.createClass({
  displayName: "exports",
  getDefaultProps: function getDefaultProps() {
    return {
      deputyUploadEnabled: false
    };
  },
  getInitialState: function getInitialState() {
    return {
      indexId: null,
      primaryTable: null,
      deputyTables: [],
      baseFormItems: [{
        title: '说明',
        name: 'zn_note',
        type: 'Textarea'
      }]
    };
  },
  componentDidMount: function componentDidMount() {
    this.__loadInfo();
  },
  componentWillReceiveProps: function componentWillReceiveProps(nextProps) {
    if (nextProps.id != this.props.id) {
      this.__loadInfo(nextProps.id);
    }
  },
  __parseData: function __parseData(data) {
    var _tables = data[0],
        _fields = data[1],
        _table_fields = {};
    this.state.primaryTable = null;
    this.state.deputyTables = [];
    this.state.indexId = this.props.id;

    _fields.forEach(function (field) {
      if (!_table_fields[field.table_id]) {
        _table_fields[field.table_id] = [];
      }

      if (field.attrs) {
        field.attrs = JSON.parse(field.attrs);
      }

      if (field.props) {
        zn.extend(field, JSON.parse(field.props));
      } //field.value = field.default_value || field.field_default;


      field.data = this.__parseFieldData(field.data);

      _table_fields[field.table_id].push(field);
    }.bind(this));

    _tables.forEach(function (table) {
      table.fields = _table_fields[table.id] || [];
      table.data = table.data || [];

      if (table.parent_id) {
        if (table.is_input) {
          this.state.deputyTables.push(table);
        }
      } else {
        this.state.primaryTable = table;
      }
    }.bind(this));

    if (this.props.data && this.props.data.length) {
      this.props.data.forEach(function (items, index) {
        this.state.deputyTables[index].data = items;
      }.bind(this));
    }

    this.forceUpdate();
  },
  __parseFieldData: function __parseFieldData(data) {
    if (!data) {
      return data;
    }

    if (data.indexOf('javascript:') == 0) {
      return eval(data);
    } else if (data.indexOf('json:')) {
      return JSON.parse(data.substring(5));
    }

    return data;
  },
  __loadInfo: function __loadInfo(id) {
    var _id = id || this.props.id;

    if (_id) {
      zn.http.post('/zn.plugin.workflow/wfindex/getIndexForm', {
        indexId: _id
      }).then(function (data) {
        if (data.status == 200) {
          this.__parseData(data.result);
        } else {
          zn.notification.error(data.result);

          if (data.status == 401) {
            zn.react.session.doHome();
          }
        }
      }.bind(this), function () {
        zn.notification.error('加载失败');
      }.bind(this));
    }
  },
  __next: function __next() {
    zn.preloader.open({
      title: '加载数据...'
    });
    zn.http.post('/zn.plugin.workflow/wfinstance/next', {
      instanceId: 10,
      nextSchemaUUID: '77C31600-353A-4A9D-B15E-25B3D13C0794'
    }).then(function (data) {
      if (data.status == 200) {
        this.setState(data);
      } else {
        zn.toast.error(data.result);
      }

      zn.preloader.close();
    }.bind(this), function () {
      zn.toast.error('加载失败');
      zn.preloader.close();
    });
  },
  getSubmitValue: function getSubmitValue() {
    var _values = {},
        _value = null;

    for (var key in this.refs) {
      if (this.refs[key].validate) {
        _value = this.refs[key].validate(function (value, formitem) {
          if (formitem.props.required && !value) {
            return false;
          }
        });
      } else if (this.refs[key].getValue) {
        _value = this.refs[key].getValue();
      }

      if (!_value) {
        return false;
      } else {
        _values[key] = _value;
      }
    }

    return _values;
  },
  submit: function submit() {
    var _values = this.getSubmitValue();

    if (_values) {
      var _base = _values.base;
      _values.base = null;
      delete _values.base;
      zn.preloader.open({
        title: '正在创建中...'
      }); //zn.debug('data: ', _base, _values);

      zn.http.post('/zn.plugin.workflow/wfindex/createInstance', {
        indexId: this.state.indexId,
        base: _base,
        data: _values
      }).then(function (data) {
        if (data.status == 200) {
          zn.notification.success('流程创建成功');

          var _result = this.props.onCreateSuccess && this.props.onCreateSuccess(data.result);

          if (!this.props.onCreateSuccess || _result !== false) {
            zn.react.session.relativeJump('/znpluginworkflow.wfinstance?instanceId=' + data.result.instance_id);
          }
        } else {
          zn.notification.error('流程创建失败：' + data.result);
        }

        zn.preloader.close();
      }.bind(this), function () {
        var _result = this.props.onCreateError && this.props.onCreateError(data.result);

        if (_result !== false) {
          zn.notification.error('流程创建失败：调用服务器错误');
          zn.preloader.close();
        }
      });
    } else {
      zn.notification.error('表单数据验证失败');
    }
  },
  __onPrimaryFormChange: function __onPrimaryFormChange(value, input, form) {
    this.props.onPrimaryFormChange && this.props.onPrimaryFormChange(value, input, form);
  },
  render: function render() {
    if (!this.state.indexId) {
      return React.createElement(zn.react.DataLoader, {
        style: {
          padding: 20
        },
        loader: "timer",
        content: "\u6B63\u5728\u52A0\u8F7D\u4E2D..."
      });
    }

    return React.createElement("div", {
      className: zn.react.classname("zn-plugin-workflow-create-instance", this.props.className),
      style: this.props.style
    }, React.createElement(zn.react.Group, {
      title: "\u8868\u5355\u4FE1\u606F"
    }, this.state.primaryTable && React.createElement(zn.react.Form, {
      onChange: this.__onPrimaryFormChange,
      value: this.props.baseValue || {},
      ref: this.state.primaryTable.table_name,
      buttons: [],
      items: this.state.primaryTable.fields
    }), this.state.deputyTables.map(function (deputy, index) {
      deputy.width = null;
      delete deputy.width;
      return React.createElement(DeputyTable, _extends({}, this.props, {
        onValidate: this.props.onDeputyValidate,
        deputy: deputy,
        ref: deputy.table_name
      }));
    }.bind(this))), React.createElement(zn.react.Group, {
      title: "\u6D41\u7A0B\u4FE1\u606F"
    }, React.createElement(zn.react.Form, {
      ref: "base",
      buttons: [],
      items: this.state.baseFormItems
    })), React.createElement("div", {
      style: {
        paddingTop: 10,
        overflow: 'hidden'
      }
    }, React.createElement(zn.react.Button, {
      onClick: this.submit,
      float: "right",
      text: "\u521B\u5EFA\u6D41\u7A0B\u5355\u636E",
      icon: "fa-plus",
      style: {
        width: 120
      }
    })));
  }
});

/***/ }),
/* 3 */
/***/ (function(module, exports, __webpack_require__) {

__webpack_require__(14);

var React = __webpack_require__(0);

module.exports = React.createClass({
  displayName: "exports",
  getInitialState: function getInitialState() {
    return {
      nextSchemaUUID: null,
      formItems: [{
        title: '备注',
        name: 'zn_note',
        type: 'Textarea'
      }, {
        title: '附件',
        name: 'files',
        type: 'FileUploader'
      }]
    };
  },
  componentDidUpdate: function componentDidUpdate(prevProps, prevState) {
    this.refs.base_form.reset();
  },
  __cancel: function __cancel() {
    zn.confirm('确定取消流程吗？', '提示', function () {
      zn.preloader.open({
        title: '取消中...'
      });
      zn.http.post('/zn.plugin.workflow/wfinstance/cancel', {
        instanceId: this.props.base.id
      }).then(function (data) {
        if (data.status == 200) {
          this.setState(data);
        } else {
          zn.notification.error(data.result);
        }

        zn.preloader.close();
      }.bind(this), function () {
        zn.notification.error('取消失败');
        zn.preloader.close();
      });
    }.bind(this));
  },
  __onCancel: function __onCancel() {
    if (!this.state.nextSchemaUUID) {
      return zn.notification.warning('流程已结束!'), false;
    }

    if (this.refs.base_form) {
      var _temp = this.refs.base_form.getValue();

      if (_temp) {
        zn.confirm('驳回该流程吗？', '提示', function () {
          zn.preloader.open({
            title: '提交中...'
          });
          zn.http.post('/zn.plugin.workflow/wfinstance/deny', {
            instanceId: this.props.base.id,
            options: _temp
          }).then(function (data) {
            if (data.status == 200) {
              zn.notification.success('提交成功');
              this.state.nextSchemaUUID = null;
              this.props.onNextSuccess && this.props.onNextSuccess();
            } else {
              zn.notification.error(data.result);
            }

            zn.preloader.close();
          }.bind(this), function () {
            zn.notification.error('提交失败');
            zn.preloader.close();
          });
        }.bind(this));
      } else {
        return zn.notification.warning('表单还未填写完成!'), false;
      }
    }

    return false;
  },
  __onFormSubmitBefore: function __onFormSubmitBefore(value) {
    if (!this.state.nextSchemaUUID) {
      return zn.notification.warning('流程已结束!'), false;
    }

    if (this.refs.schema_form) {
      var _temp = this.refs.schema_form.getValue();

      if (_temp) {
        value.schema_form_data = JSON.stringify(_temp);
      } else {
        return zn.notification.warning('自定义表单还未填写完成!'), false;
      }
    }

    zn.confirm('确认该流程吗？', '提示', function () {
      zn.preloader.open({
        title: '提交中...'
      });
      zn.http.post('/zn.plugin.workflow/wfinstance/next', {
        instanceId: this.props.base.id,
        nextSchemaUUID: this.state.nextSchemaUUID,
        options: value
      }).then(function (data) {
        if (data.status == 200) {
          zn.notification.success('确认成功');
          this.state.nextSchemaUUID = null;
          this.props.onNextSuccess && this.props.onNextSuccess();
        } else {
          zn.notification.error(data.result);
        }

        zn.preloader.close();
      }.bind(this), function () {
        zn.notification.error('确认失败');
        zn.preloader.close();
      });
    }.bind(this));
    return false;
  },
  render: function render() {
    var _next_ids = this.props.current.next_schemas.split(','),
        _next_texts = this.props.current.next_schemas_convert.split(',');

    if (!_next_ids.filter(function (id) {
      if (id) {
        return true;
      }
    }).length) {
      return null;
    }

    return React.createElement("div", {
      className: "zn-plugin-workflow-instance-base-info zn-plugin-workflow-panel"
    }, React.createElement("div", {
      className: "title"
    }, React.createElement("span", null, "\u4E0B\u4E00\u6B65(Next Step)")), React.createElement("div", {
      className: "content"
    }, React.createElement("ul", {
      className: "next-steps"
    }, _next_ids.map(function (value, index) {
      var _this = this;

      if (!value) {
        return null;
      }

      if (!this.state.nextSchemaUUID) {
        this.state.nextSchemaUUID = value;
      }

      return React.createElement("li", {
        onClick: function onClick() {
          return _this.setState({
            nextSchemaUUID: value
          });
        },
        className: this.state.nextSchemaUUID == value ? 'selected' : ''
      }, _next_texts[index]);
    }.bind(this))), this.props.current.schema_fields && !!this.props.current.schema_fields.length && React.createElement(zn.react.Group, {
      title: "\u81EA\u5B9A\u4E49\u8868\u5355"
    }, React.createElement(zn.react.Form, {
      key: "wf_form_" + new Date().getTime(),
      ref: "schema_form",
      valueKey: "title",
      items: this.props.current.schema_fields,
      buttons: []
    })), this.props.base.closed == 0 && this.props.base.state == 1 && this.state.nextSchemaUUID && React.createElement(zn.react.Group, {
      title: "\u57FA\u7840\u8868\u5355"
    }, React.createElement(zn.react.Form, {
      key: "wf_form_" + new Date().getTime(),
      ref: "base_form",
      items: this.state.formItems,
      onSubmitBefore: this.__onFormSubmitBefore,
      buttons: [{
        text: '拒绝(驳回)',
        icon: 'fa-microphone-slash',
        onClick: this.__onCancel,
        status: 'danger'
      }, {
        text: '确认通过',
        icon: 'fa-check-circle-o',
        type: 'submit',
        status: 'primary'
      }]
    }))));
  }
});

/***/ }),
/* 4 */
/***/ (function(module, exports, __webpack_require__) {

__webpack_require__(15);

var React = __webpack_require__(0);

module.exports = React.createClass({
  displayName: "exports",
  __renderSchemaFormData: function __renderSchemaFormData(data) {
    console.log(data);

    if (data) {
      var _data = JSON.parse(data);

      return React.createElement(zn.react.Group, {
        title: "\u81EA\u5B9A\u4E49\u8868\u5355",
        className: "schema-form-data"
      }, React.createElement("ul", null, Object.keys(_data).map(function (key) {
        return React.createElement("li", {
          className: "item"
        }, React.createElement("div", {
          className: "key"
        }, key), React.createElement("div", {
          className: "value"
        }, _data[key]));
      })));
    } else {
      return null;
    }
  },
  __onRemark: function __onRemark(value, index) {
    zn.dialog({
      title: '添加备注',
      content: React.createElement(zn.react.Form, {
        action: "/zn.plugin.workflow/wfinstance/remark",
        exts: {
          instance_id: this.props.instanceId,
          instance_step_id: index
        },
        onSubmitSuccess: this.props.onRemarkSuccess,
        items: [{
          title: '备注',
          name: 'content',
          type: 'Textarea'
        }, {
          title: '附件',
          name: 'attachments',
          type: 'FileUploader'
        }]
      })
    });
  },
  render: function render() {
    return React.createElement("div", {
      className: "zn-plugin-workflow-instance-flow-step zn-plugin-workflow-panel"
    }, React.createElement("div", {
      className: "title"
    }, React.createElement("span", null, "\u5F53\u524D\u72B6\u6001\uFF1A", this.props.current.zn_title)), React.createElement("div", {
      className: "content"
    }, React.createElement("ul", {
      className: "steps"
    }, this.props.data.map(function (value, index) {
      var _this = this;

      if (value.type == 'end') {
        value.state = 2;
      }

      return React.createElement("li", {
        className: "step state-" + value.state + ' type-' + value.type
      }, React.createElement("div", {
        className: "title"
      }, value.zn_title), React.createElement("div", {
        className: "dot"
      }, !!(value.state == 1) ? React.createElement("i", {
        "data-tooltip": "\u6DFB\u52A0\u5907\u6CE8",
        style: {
          cursor: 'pointer'
        },
        onClick: function onClick() {
          return _this.__onRemark(value, index);
        },
        className: "fa fa-pencil-square-o"
      }) : React.createElement("i", {
        className: "fa fa-check"
      })), React.createElement("div", {
        className: "detail"
      }, React.createElement("div", {
        className: "user"
      }, value.zn_modify_user || '☆☆☆'), React.createElement("div", {
        className: "time"
      }, value.zn_modify_time || value.zn_create_time)));
    }.bind(this))), React.createElement("ul", {
      className: "steps-detail"
    }, this.props.data.map(function (value) {
      if (value.state == 1 || value.type == 'end') {
        return null;
      }

      return React.createElement("li", {
        className: "step state-" + value.state + ' type-' + value.type
      }, React.createElement("div", {
        className: "step-header"
      }, React.createElement("span", null, "[ ", value.zn_modify_user, " ] ", value.zn_title), React.createElement("span", null, value.zn_modify_time || value.zn_create_time)), React.createElement("div", {
        className: "step-content"
      }, this.__renderSchemaFormData(value.schema_form_data), React.createElement("div", {
        className: "note"
      }, value.zn_note), React.createElement("div", {
        className: "files"
      }, React.createElement("div", {
        className: "title"
      }, "\u9644\u4EF6\uFF1A"), React.createElement(zn.react.Files, {
        value: value.files
      }))));
    }.bind(this))), React.createElement(zn.react.Group, {
      title: "\u5907\u6CE8\u8BB0\u5F55"
    }, React.createElement("ul", {
      className: "remarks"
    }, this.props.current.remarks.map(function (value) {
      return React.createElement("li", {
        className: "remark"
      }, React.createElement("div", {
        className: "remark-header"
      }, React.createElement("span", null, value.zn_create_user_convert), React.createElement("span", null, value.zn_create_time)), React.createElement("div", {
        className: "remark-content"
      }, React.createElement("div", {
        className: "note"
      }, value.content), React.createElement(zn.react.Files, {
        value: value.attachments
      })));
    }.bind(this))))));
  }
});

/***/ }),
/* 5 */
/***/ (function(module, exports, __webpack_require__) {

__webpack_require__(16);

var React = __webpack_require__(0);

module.exports = React.createClass({
  displayName: "exports",
  getInitialState: function getInitialState() {
    return {};
  },
  __renderPrimary: function __renderPrimary(table, data) {
    var _value = data[0];
    return React.createElement("div", {
      className: "table"
    }, React.createElement("ul", {
      className: "values"
    }, table.fields.map(function (item, index) {
      if (item.title && _value[item.name]) {
        return React.createElement("li", null, React.createElement("span", {
          className: "key"
        }, item.title, "\uFF1A"), React.createElement("span", {
          className: "value"
        }, _value[item.name]));
      }
    })));
  },
  __renderDeputy: function __renderDeputy(table, data) {
    return !!data.length ? React.createElement(zn.react.Group, {
      title: table.zn_title + " 共" + data.length + "条",
      className: "table"
    }, React.createElement("ul", {
      className: "table-row header"
    }, table.fields.map(function (item, index) {
      if (item.width) {
        return React.createElement("li", {
          style: {
            width: item.width
          }
        }, React.createElement("span", null, item.title));
      }
    })), data.map(function (item, index) {
      return React.createElement("ul", {
        className: "table-row item"
      }, table.fields.map(function (field, index) {
        if (field.width) {
          return React.createElement("li", {
            style: {
              width: field.width
            },
            "data-tooltip": item[field.name]
          }, React.createElement("span", null, item[field.name]));
        }
      }));
    })) : null;
  },
  render: function render() {
    return React.createElement("div", {
      className: "zn-plugin-workflow-instance-flow-table-info zn-plugin-workflow-panel"
    }, React.createElement("div", {
      className: "title"
    }, "\u5355\u636E\u8868\u5355"), React.createElement("div", {
      className: "content"
    }, this.props.fields.map(function (field, index) {
      return field.primary ? this.__renderPrimary(field, zn.is(this.props.data[0], "array") ? this.props.data[index] : this.props.data) : this.__renderDeputy(field, this.props.data[index]);
    }.bind(this))));
  }
});

/***/ }),
/* 6 */
/***/ (function(module, exports) {

function webpackEmptyContext(req) {
	var e = new Error("Cannot find module '" + req + "'");
	e.code = 'MODULE_NOT_FOUND';
	throw e;
}
webpackEmptyContext.keys = function() { return []; };
webpackEmptyContext.resolve = webpackEmptyContext;
module.exports = webpackEmptyContext;
webpackEmptyContext.id = 6;

/***/ }),
/* 7 */
/***/ (function(module, exports, __webpack_require__) {

zn.plugin.workflow = __webpack_require__(1);
module.exports = zn.react.extendPath('/znpluginworkflow.', __webpack_require__(20));

/***/ }),
/* 8 */
/***/ (function(module, exports, __webpack_require__) {

var map = {
	"./CreateInstance.js": 2,
	"./WFFormDesigner.js": 10,
	"./WFInstance.js": 12,
	"./WFInstanceList.js": 17,
	"./WFSchemaDesigner.js": 18,
	"./index.js": 1,
	"./instance/BaseInfo.js": 3,
	"./instance/FlowStep.js": 4,
	"./instance/FlowTableInfo.js": 5
};


function webpackContext(req) {
	var id = webpackContextResolve(req);
	return __webpack_require__(id);
}
function webpackContextResolve(req) {
	if(!__webpack_require__.o(map, req)) {
		var e = new Error("Cannot find module '" + req + "'");
		e.code = 'MODULE_NOT_FOUND';
		throw e;
	}
	return map[req];
}
webpackContext.keys = function webpackContextKeys() {
	return Object.keys(map);
};
webpackContext.resolve = webpackContextResolve;
module.exports = webpackContext;
webpackContext.id = 8;

/***/ }),
/* 9 */
/***/ (function(module, exports) {

// removed by extract-text-webpack-plugin

/***/ }),
/* 10 */
/***/ (function(module, exports, __webpack_require__) {

__webpack_require__(11);

var React = __webpack_require__(0);

module.exports = React.createClass({
  displayName: "exports",
  getInitialState: function getInitialState() {
    return {
      primaryTable: null,
      primaryFormItems: [{
        title: '名称',
        type: 'Input',
        name: 'zn_title'
      }, {
        title: '表名',
        type: 'Input',
        name: 'table_name'
      }, {
        title: 'Input类型',
        type: 'Radio',
        name: 'is_input',
        value: 1,
        data: [{
          text: '是',
          value: 1
        }, {
          text: '否',
          value: 0
        }]
      }, {
        title: '导入功能',
        type: 'Radio',
        name: 'import_enabled',
        value: 0,
        data: [{
          text: '是',
          value: 1
        }, {
          text: '否',
          value: 0
        }]
      }, {
        title: '导出功能',
        type: 'Radio',
        name: 'export_enabled',
        value: 0,
        data: [{
          text: '是',
          value: 1
        }, {
          text: '否',
          value: 0
        }]
      }, {
        title: '继承模型',
        type: 'CheckboxGroup',
        name: 'mixins',
        data: [{
          text: '基础模型',
          value: 'zn.db.common.model.Base'
        }, {
          text: '树模型',
          value: 'zn.db.common.model.Tree'
        }, {
          text: '权限模型',
          value: 'zn.db.common.model.Rights'
        }]
      }, {
        title: '说明',
        type: 'Textarea',
        name: 'zn_note'
      }],
      tableFieldFormItems: [{
        title: '字段类型',
        type: 'Input',
        name: 'field_type'
      }, {
        title: '字段函数',
        type: 'Input',
        name: 'field_convert'
      }, {
        title: '字段默认值',
        type: 'Input',
        name: 'field_default'
      }, //{ title: '字段描述', type: 'Textarea', name: 'field_detail' },
      {
        title: '表单名称(title)',
        type: 'Input',
        name: 'title'
      }, {
        title: '表单名(name)',
        type: 'Input',
        name: 'name'
      }, {
        title: '表单类型',
        type: 'Menu',
        name: 'type',
        data: ['Input', 'Select', 'Label', 'Hidden', 'ImageUploader', 'FileUploader', 'Checkbox', 'CheckboxGroup', 'Radio', 'RadioGroup', 'Textarea', 'Richarea']
      }, {
        title: '表单默认值',
        type: 'Textarea',
        name: 'default_value'
      }, {
        title: '必填字段',
        type: 'Radio',
        value: 0,
        data: [{
          text: '是',
          value: 1
        }, {
          text: '否',
          value: 0
        }],
        name: 'required'
      }, {
        title: '资源ID(var_id)',
        type: 'Input',
        attrs: {
          type: 'number'
        },
        name: 'var_id'
      }, {
        title: '宽度(width)',
        type: 'Input',
        attrs: {
          type: 'number'
        },
        name: 'width'
      }, {
        title: '数据源(data)',
        type: 'Textarea',
        name: 'data'
      }, {
        title: '组件属性(props)',
        type: 'Textarea',
        name: 'props'
      }, {
        title: '表单属性(attrs)',
        type: 'Textarea',
        name: 'attrs'
      }, {
        title: '说明',
        type: 'Textarea',
        name: 'zn_note'
      }],
      deputyTables: []
    };
  },
  componentDidMount: function componentDidMount() {
    this.__loadInfo(this.props.indexId);
  },
  componentDidUpdate: function componentDidUpdate(prevProps, prevState) {
    if (prevProps.indexId != this.props.indexId) {
      this.__loadInfo(this.props.indexId);
    }
  },
  __parseData: function __parseData(data) {
    var _tables = data[0],
        _fields = data[1],
        _table_fields = {};
    this.state.primaryTable = null;
    this.state.deputyTables = [];

    _fields.forEach(function (field) {
      if (!_table_fields[field.table_id]) {
        _table_fields[field.table_id] = [];
      }

      _table_fields[field.table_id].push(field);
    });

    _tables.forEach(function (table) {
      table.fields = _table_fields[table.id] || [];

      if (table.parent_id) {
        this.state.deputyTables.push(table);
      } else {
        this.state.primaryTable = table;
      }
    }.bind(this));

    this.forceUpdate();
  },
  __loadInfo: function __loadInfo(indexId) {
    zn.http.post('/zn.plugin.workflow/wfindex/getIndexForm', {
      indexId: indexId || this.props.indexId
    }).then(function (data) {
      if (data.status == 200) {
        this.__parseData(data.result);
      } else {
        zn.notification.error(data.result);
      }
    }.bind(this), function () {
      zn.notification.error('服务器错误：');
    });
  },
  __createTable: function __createTable(parent_id) {
    var _this = this;

    zn.dialog({
      title: '创建表',
      content: React.createElement(zn.react.Form, {
        merge: "values",
        action: "/zn.plugin.admin/model/insert",
        exts: {
          model: 'ZNPluginWorkflowIndexTable'
        },
        hiddens: {
          index_id: this.props.indexId,
          parent_id: parent_id || 0
        },
        onSubmitSuccess: function onSubmitSuccess() {
          return _this.__loadInfo();
        },
        items: this.state.primaryFormItems
      })
    });
  },
  __editTable: function __editTable(table) {
    var _this2 = this;

    zn.dialog({
      title: '修改表信息',
      content: React.createElement(zn.react.Form, {
        merge: "updates",
        action: "/zn.plugin.admin/model/update",
        exts: {
          model: 'ZNPluginWorkflowIndexTable',
          where: {
            id: table.id
          }
        },
        value: table,
        onSubmitSuccess: function onSubmitSuccess() {
          return _this2.__loadInfo();
        },
        items: this.state.primaryFormItems
      })
    });
  },
  __createField: function __createField(tableId, order) {
    var _this3 = this;

    zn.dialog({
      title: '创建字段',
      content: React.createElement(zn.react.Form, {
        merge: "values",
        action: "/zn.plugin.admin/model/insert",
        exts: {
          model: 'ZNPluginWorkflowIndexTableField'
        },
        hiddens: {
          table_id: tableId,
          index_id: this.props.indexId,
          field_order: order
        },
        onSubmitSuccess: function onSubmitSuccess() {
          return _this3.__loadInfo();
        },
        items: this.state.tableFieldFormItems
      })
    });
  },
  __editField: function __editField(field) {
    var _this4 = this;

    zn.dialog({
      title: '修改字段',
      content: React.createElement(zn.react.Form, {
        merge: "updates",
        action: "/zn.plugin.admin/model/update",
        exts: {
          model: 'ZNPluginWorkflowIndexTableField',
          where: {
            id: field.id
          }
        },
        value: zn.store.post('/zn.plugin.admin/model/selectOne', {
          model: 'ZNPluginWorkflowIndexTableField',
          where: {
            id: field.id
          }
        }),
        onSubmitSuccess: function onSubmitSuccess() {
          return _this4.__loadInfo();
        },
        items: this.state.tableFieldFormItems
      })
    });
  },
  __deleteField: function __deleteField(field) {
    var _self = this;

    zn.confirm('确定删除该字段吗？', '提示', function () {
      zn.preloader.open({
        title: '删除中...'
      });
      zn.http.post('/zn.plugin.admin/model/delete', {
        model: "ZNPluginWorkflowIndexTableField",
        where: {
          id: field.id
        }
      }).then(function (data) {
        if (data.status == 200) {
          zn.notification.success('删除成功');

          _self.__loadInfo();
        } else {
          zn.notification.error('删除失败：' + data.result);
        }

        zn.preloader.close();
      }, function () {
        zn.notification.error('服务器调用出错');
        zn.preloader.close();
      });
    }.bind(this));
  },
  __onGenerate: function __onGenerate(table) {
    var _self = this;

    zn.confirm('确定生成表(' + table.table_name + ')结构么？', '提示', function () {
      zn.preloader.open({
        title: '生成中...'
      });
      zn.http.post('/zn.plugin.workflow/wfindextable/generateTable', {
        tableId: table.id
      }).then(function (data) {
        if (data.status == 200) {
          zn.notification.success('生成成功');

          _self.__loadInfo();
        } else {
          zn.notification.error('生成失败：' + data.result);
        }

        zn.preloader.close();
      }, function () {
        zn.notification.error('服务器调用出错');
        zn.preloader.close();
      });
    }.bind(this));
  },
  __onRegenerate: function __onRegenerate(table) {
    zn.confirm('重新生成表结构将会抹掉已存在数据, 确认操作？', '警告！！！', function () {
      this.__onGenerate(table);
    }.bind(this));
  },
  __upItem: function __upItem(item) {
    zn.preloader.open({
      title: '升序中...'
    });
    zn.http.post('/zn.plugin.workflow/wfindextable/orderField', {
      field_id: item.id,
      order: 'up'
    }).then(function (data) {
      if (data.status == 200) {
        zn.notification.success('升序成功');

        this.__loadInfo();
      } else {
        zn.notification.error(data.result);
      }

      zn.preloader.close();
    }.bind(this), function (data) {
      zn.notification.error("网络请求失败");
      zn.preloader.close();
    });
  },
  __downItem: function __downItem(item) {
    zn.preloader.open({
      title: '降序中...'
    });
    zn.http.post('/zn.plugin.workflow/wfindextable/orderField', {
      field_id: item.id,
      order: 'down'
    }).then(function (data) {
      if (data.status == 200) {
        zn.notification.success('降序成功');

        this.__loadInfo();
      } else {
        zn.notification.error(data.result);
      }

      zn.preloader.close();
    }.bind(this), function (data) {
      zn.notification.error("网络请求失败");
      zn.preloader.close();
    });
  },
  __renderTable: function __renderTable(table) {
    var _this5 = this;

    var _isPrimary = !table.parent_id;

    return React.createElement("div", {
      className: "table"
    }, React.createElement("div", {
      className: "table-info"
    }, React.createElement("div", {
      className: ""
    }, React.createElement("span", {
      className: "name"
    }, (table.zn_title ? "【" + table.zn_title + "】" : '') + table.table_name, React.createElement("i", {
      onClick: function onClick() {
        return _this5.__editTable(table);
      },
      "data-tooltip": "\u4FEE\u6539\u8868\u4FE1\u606F",
      className: "fa fa-edit"
    })), _isPrimary && React.createElement("span", {
      className: "zr-tag"
    }, "\u4E3B\u8868(Primary Table)")), React.createElement("div", null, React.createElement("span", {
      className: "time"
    }, table.zn_create_time))), React.createElement("ul", {
      className: "table-fields"
    }, table.fields.map(function (field, index) {
      var _this6 = this;

      return React.createElement("li", {
        className: "table-field"
      }, React.createElement("div", {
        className: "name"
      }, !!field.width && React.createElement("span", {
        className: "width",
        style: {
          width: field.width
        }
      }, ' '), React.createElement("span", {
        className: "info"
      }, !!field.width && React.createElement("i", null, "[ ", field.width, "px ]"), "[ ", field.type, " ] ", field.title, "(", field.name, ")")), React.createElement("div", {
        className: "actions"
      }, index != 0 && React.createElement("i", {
        onClick: function onClick() {
          return _this6.__upItem(field);
        },
        "data-tooltip": "\u4E0A\u79FB",
        className: "fa fa-angle-up"
      }), index != table.fields.length - 1 && React.createElement("i", {
        onClick: function onClick() {
          return _this6.__downItem(field);
        },
        "data-tooltip": "\u4E0B\u79FB",
        className: "fa fa-angle-down"
      }), React.createElement("i", {
        onClick: function onClick() {
          return _this6.__editField(field);
        },
        "data-tooltip": "\u7F16\u8F91\u5B57\u6BB5",
        className: "fa fa-edit"
      }), React.createElement("i", {
        onClick: function onClick() {
          return _this6.__deleteField(field);
        },
        "data-tooltip": "\u5220\u9664\u5B57\u6BB5",
        style: {
          color: '#F44336'
        },
        className: "fa fa-trash-o"
      })));
    }.bind(this))), React.createElement("div", {
      className: "toolbar"
    }, React.createElement("div", null, React.createElement(zn.react.Button, {
      onClick: function onClick() {
        return _this5.__createField(table.id, table.fields.length + 1);
      },
      text: "\u6DFB\u52A0\u5B57\u6BB5",
      className: "plain"
    }), _isPrimary && React.createElement(zn.react.Button, {
      onClick: function onClick() {
        return _this5.__createTable(table.id);
      },
      text: "\u6DFB\u52A0\u9644\u8868",
      className: "plain"
    })), React.createElement("div", null, !!table.has_generated ? React.createElement("span", {
      onClick: function onClick() {
        return _this5.__onRegenerate(table);
      },
      "data-tooltip": "\u91CD\u65B0\u751F\u6210\u6570\u636E\u8868, \u9700\u6CE8\u610F(\u5DF2\u6709\u6570\u636E\u5C06\u88AB\u62B9\u6389).",
      className: "zr-tag hover primary"
    }, React.createElement("i", {
      className: "fa fa-check zr-padding-3"
    }), "\u5DF2\u751F\u6210") : React.createElement("span", {
      onClick: function onClick() {
        return _this5.__onGenerate(table);
      },
      "data-tooltip": "\u751F\u6210\u6570\u636E\u8868",
      className: "zr-tag hover orangle"
    }, React.createElement("i", {
      className: "fa fa-ban zr-padding-3"
    }), "\u672A\u751F\u6210"))));
  },
  __renderDeputyTables: function __renderDeputyTables() {
    var _len = this.state.deputyTables.length;
    return React.createElement("div", {
      className: "deputy-tables"
    }, React.createElement("div", {
      className: "title"
    }, React.createElement("span", null, "\u9644\u8868(", _len, ")")), this.state.deputyTables.map(function (table) {
      return this.__renderTable(table);
    }.bind(this)));
  },
  render: function render() {
    var _this7 = this;

    return React.createElement("div", {
      className: "zn-plugin-workflow-form-designer"
    }, this.state.primaryTable ? this.__renderTable(this.state.primaryTable) : React.createElement("div", {
      className: "wf-button",
      onClick: function onClick() {
        return _this7.__createTable(0);
      }
    }, "\u521B\u5EFA\u4E3B\u8868"), this.__renderDeputyTables());
  }
});

/***/ }),
/* 11 */
/***/ (function(module, exports) {

// removed by extract-text-webpack-plugin

/***/ }),
/* 12 */
/***/ (function(module, exports, __webpack_require__) {

__webpack_require__(13);

var React = __webpack_require__(0);

var BaseInfo = __webpack_require__(3);

var FlowStep = __webpack_require__(4);

var FlowTableInfo = __webpack_require__(5);

module.exports = React.createClass({
  displayName: "exports",
  getInitialState: function getInitialState() {
    return {
      base: null,
      current: null,
      data: null,
      table_fields: [],
      table_data: []
    };
  },
  componentDidMount: function componentDidMount() {
    this.__loadInfo();
  },
  componentDidUpdate: function componentDidUpdate(prevProps, prevState) {
    if (prevProps.instanceId != this.props.instanceId) {
      this.__loadInfo();
    }
  },
  __loadInfo: function __loadInfo() {
    if (this.props.instanceId) {
      zn.preloader.open({
        title: '加载数据...'
      });
      zn.http.post('/zn.plugin.workflow/wfinstance/getInstance', {
        instanceId: this.props.instanceId
      }).then(function (data) {
        if (data.status == 200) {
          this.setState(data.result);
        } else {
          zn.notification.error(data.result);

          if (data.status == 401) {
            zn.react.session.doHome();
          }
        }

        zn.preloader.close();
      }.bind(this), function () {
        zn.notification.error('加载失败');
        zn.preloader.close();
      });
    }
  },
  __cancel: function __cancel() {
    zn.confirm('确定取消流程吗？', '提示', function () {
      zn.preloader.open({
        title: '流程取消中...'
      });
      zn.http.post('/zn.plugin.workflow/wfinstance/cancel', {
        instanceId: this.state.base.id
      }).then(function (data) {
        if (data.status == 200) {
          this.__loadInfo();
        } else {
          zn.notification.error(data.result);
        }

        zn.preloader.close();
      }.bind(this), function () {
        zn.notification.error('取消失败');
        zn.preloader.close();
      });
    }.bind(this));
  },
  __remove: function __remove() {
    zn.confirm('删除流程将删除流程相关的所有数据, 确定删除吗？', '提示', function () {
      zn.preloader.open({
        title: '流程删除中...'
      });
      zn.http.post('/zn.plugin.workflow/wfinstance/remove', {
        instanceId: this.state.base.id
      }).then(function (data) {
        if (data.status == 200) {
          zn.notification.success('删除成功');
          zn.react.session.back();
        } else {
          zn.notification.error(data.result);
        }

        zn.preloader.close();
      }.bind(this), function () {
        zn.notification.error('删除失败');
        zn.preloader.close();
      });
    }.bind(this));
  },
  __start: function __start() {
    zn.confirm('确定打开流程吗？', '提示', function () {
      zn.preloader.open({
        title: '流程打开中...'
      });
      zn.http.post('/zn.plugin.workflow/wfinstance/start', {
        instanceId: this.state.base.id
      }).then(function (data) {
        if (data.status == 200) {
          this.__loadInfo();
        } else {
          zn.notification.error(data.result);
        }

        zn.preloader.close();
      }.bind(this), function () {
        zn.notification.error('打开失败');
        zn.preloader.close();
      });
    }.bind(this));
  },
  __renderAction: function __renderAction() {
    if (this.state.base.isCreator) {
      return React.createElement("div", {
        style: {
          display: 'inline-block'
        }
      }, this.state.base.closed ? React.createElement("a", {
        style: {
          color: '#1289d8',
          marginLeft: 10,
          fontSize: 14
        },
        onClick: this.__start,
        href: "javascript:void(0);"
      }, "\u6253\u5F00") : React.createElement("a", {
        style: {
          color: '#f00',
          marginLeft: 10,
          fontSize: 14
        },
        onClick: this.__cancel,
        href: "javascript:void(0);"
      }, "\u5173\u95ED"), this.state.base.state != -1 && React.createElement("a", {
        style: {
          color: '#f00',
          marginLeft: 10,
          fontSize: 14
        },
        onClick: this.__remove,
        href: "javascript:void(0);"
      }, "\u5220\u9664"));
    } else {
      return null;
    }
  },
  render: function render() {
    if (!this.state.current || !this.state.base) {
      return React.createElement("div", {
        className: "zn-plugin-workflow-instance"
      }, React.createElement("div", {
        className: "not-exist"
      }, "\u6D41\u7A0B\u5B9E\u4F8BId(", this.props.instanceId, ")\u4E0D\u5B58\u5728, \u8BF7\u6838\u5B9E\u540E\u518D\u8BD5!"));
    }

    if (this.state.base.zn_rights_enabled && !this.state.base.doRights && !this.state.base.doObserveRights) {
      return React.createElement("div", {
        className: "zn-plugin-workflow-instance"
      }, React.createElement("div", {
        className: "not-exist"
      }, "\u6B64\u6D41\u7A0B\u60A8\u6682\u65E0\u3010\u6D4F\u89C8\u3011\u53CA\u3010\u64CD\u4F5C\u3011\u6743\u9650, \u8BF7\u8054\u7CFB\u7CFB\u7EDF\u7BA1\u7406\u5458\u540E\u518D\u91CD\u8BD5!"));
    }

    return React.createElement("div", {
      className: "zn-plugin-workflow-instance closed-" + this.state.base.closed
    }, React.createElement("div", {
      className: "index-title"
    }, React.createElement("span", null, this.state.base.index_id_convert), React.createElement("span", null, " ", this.state.base.code), this.__renderAction()), React.createElement("div", {
      style: {
        display: 'flex',
        justifyContent: 'space-between',
        padding: '0px 3px'
      }
    }, React.createElement("div", null, React.createElement("span", null, "\u7533\u8BF7\u4EBA\uFF1A"), React.createElement("span", {
      style: {
        fontWeight: 200
      }
    }, this.state.base.zn_create_user_convert)), React.createElement("div", null, React.createElement("span", null, "\u7533\u8BF7\u65F6\u95F4\uFF1A"), React.createElement("span", {
      style: {
        fontWeight: 200
      }
    }, this.state.base.zn_create_time))), this.state.table_fields && !!this.state.table_fields.length && React.createElement(FlowTableInfo, {
      fields: this.state.table_fields,
      data: this.state.table_data
    }), this.state.base && !this.state.base.closed && !!this.state.base.doRights && this.state.current && React.createElement(BaseInfo, {
      value: this.props.value,
      onNextSuccess: this.__loadInfo,
      base: this.state.base,
      current: this.state.current
    }), this.state.data && this.state.current && React.createElement(FlowStep, {
      instanceId: this.props.instanceId,
      data: this.state.data,
      current: this.state.current,
      onRemarkSuccess: this.__loadInfo
    }), this.state.base.zn_note && React.createElement("div", {
      className: "zn-plugin-workflow-panel"
    }, React.createElement("div", {
      className: "title"
    }, "\u6D41\u7A0B\u5907\u6CE8"), React.createElement("div", {
      className: "content"
    }, React.createElement("div", {
      style: {
        minHeight: 60
      }
    }, this.state.base.zn_note))));
  }
});

/***/ }),
/* 13 */
/***/ (function(module, exports) {

// removed by extract-text-webpack-plugin

/***/ }),
/* 14 */
/***/ (function(module, exports) {

// removed by extract-text-webpack-plugin

/***/ }),
/* 15 */
/***/ (function(module, exports) {

// removed by extract-text-webpack-plugin

/***/ }),
/* 16 */
/***/ (function(module, exports) {

// removed by extract-text-webpack-plugin

/***/ }),
/* 17 */
/***/ (function(module, exports, __webpack_require__) {

var React = __webpack_require__(0);

var CreateInstance = __webpack_require__(2);

module.exports = React.createClass({
  displayName: "exports",
  getDefaultProps: function getDefaultProps() {
    return {
      model: 'ZNPluginWorkflowInstance'
    };
  },
  getInitialState: function getInitialState() {
    return {
      data: zn.store.post('/zn.plugin.workflow/wfinstance/getInstances', {
        index_id: this.props.indexId
      }),
      items: [{
        title: '模块',
        name: 'index_id_convert',
        width: 80
      }, {
        title: '单号',
        name: 'code',
        width: 150
      }, {
        title: '状态',
        name: 'state',
        width: 80
      }, {
        title: '当前节点',
        name: 'current_state',
        width: 120
      }, {
        title: '申请人',
        name: 'zn_create_user_convert',
        width: 100
      }, {
        title: '申请时间',
        name: 'zn_create_time',
        width: 130
      }, {
        title: '最近一次操作时间',
        name: 'zn_modify_time',
        width: 130
      }, {
        title: '说明',
        name: 'zn_note'
      }],
      toolbarItems: [{
        text: '创建实例',
        name: 'wfinstance.create',
        icon: 'fa-plus',
        style: {
          marginRight: 5
        }
      }, {
        text: '删除实例',
        name: 'wfinstance.delete',
        status: 'danger',
        icon: 'fa-remove',
        style: {
          marginRight: 5
        }
      }]
    };
  },
  componentWillReceiveProps: function componentWillReceiveProps(nextProps) {
    if (nextProps.indexId) {
      this.state.data.extend({
        index_id: nextProps.indexId
      }).refresh();
    }
  },
  __doSuccess: function __doSuccess() {
    this.state.data.refresh();
  },
  __createInstance: function __createInstance() {
    zn.dialog({
      title: '创建流程实例',
      content: React.createElement(CreateInstance, {
        id: this.props.indexId
      })
    });
  },
  __removeItems: function __removeItems() {
    var _self = this,
        _values = this.refs.table.getValue();

    if (_values && _values.length) {
      zn.confirm('确认删除这' + _values.length + '个用户吗？', '提示', function () {
        zn.http.post('/zn.plugin.admin/model/delete', {
          model: this.props.model,
          where: "id in (" + _values.join(',') + ")"
        }).then(function (data) {
          if (data.status == 200) {
            zn.toast.success('删除成功');

            _self.state.data.refresh();
          } else {
            zn.toast.error('删除失败: ' + data.result);
          }
        }, function (data) {
          zn.toast.error('服务器错误：删除失败');
        });
      }.bind(this));
    } else {
      zn.toast.warning('请先选择要删除的用户');
    }
  },
  __onToolbarClick: function __onToolbarClick(item) {
    switch (item.name) {
      case 'wfinstance.create':
        this.__createInstance();

        break;

      case 'wfinstance.delete':
        this.__removeItems();

        break;
    }
  },
  __onTableColumnRender: function __onTableColumnRender(rowIndex, columnIndex, data, item, value) {
    switch (columnIndex) {
      case 2:
        return React.createElement("a", {
          href: '#' + zn.react.session.fixPath('/znpluginworkflow.wfinstance') + '?instanceId=' + data.id
        }, value);

      case 3:
        switch (value) {
          case 1:
            return React.createElement("span", {
              className: "status",
              style: {
                backgroundColor: '#f0ad4e'
              }
            }, "\u5F85\u5904\u7406");

          case -1:
            return React.createElement("span", {
              className: "status",
              style: {
                backgroundColor: '#6def55'
              }
            }, "\u5DF2\u7ED3\u675F");

          case -2:
            return React.createElement("span", {
              className: "status",
              style: {
                backgroundColor: '#dad8d8'
              }
            }, "\u5DF2\u53D6\u6D88");

          case 2:
            return React.createElement("span", {
              className: "status",
              style: {
                backgroundColor: '#0d8c06'
              }
            }, "\u5DF2\u5BA1\u6838");
        }

        break;
    }
  },
  render: function render() {
    return React.createElement(zn.react.Page, {
      className: "zn-plugin-workflow-wf-my",
      title: "\u6D41\u7A0B\u5217\u8868",
      toolbarItems: this.state.toolbarItems,
      onToolbarClick: this.__onToolbarClick
    }, React.createElement(zn.react.PagerView, {
      ref: "table",
      view: "Table",
      enableFilter: true,
      checkbox: 50,
      showHeader: true,
      columnRender: this.__onTableColumnRender,
      data: this.state.data,
      items: this.state.items
    }));
  }
});

/***/ }),
/* 18 */
/***/ (function(module, exports, __webpack_require__) {

__webpack_require__(19);

var React = __webpack_require__(0);

var NODE_TYPES = {
  'begin': '开始节点',
  'end': '结束节点',
  'normal': '普通节点',
  'parallel': '并行节点',
  'auto': '自动节点',
  'cancel': '取消节点',
  'subflow': '子流程'
},
    TYPE_ARRAY = ['begin', 'normal', 'parallel', 'auto', 'cancel', 'subflow', 'end'].map(function (index) {
  return {
    text: NODE_TYPES[index],
    value: index
  };
}),
    RIGHTS_LOGICS = [{
  text: '默认权限',
  value: 'rights.logic.default'
}, {
  text: '默认权限部门负责人',
  value: 'rights.logic.default.role.owners'
}, {
  text: '默认权限中选择',
  value: 'rights.logic.default.select'
}, {
  text: '系统权限中选择',
  value: 'rights.logic.system.select'
}, {
  text: '发起人',
  value: 'rights.logic.create.person'
}, {
  text: '上一步参与人',
  value: 'rights.logic.previous.rights'
}, {
  text: '所有参与人',
  value: 'rights.logic.all.rights'
}, {
  text: '发起人所在部门负责人',
  value: 'rights.logic.user.role.owners'
}];
var SchemaAction = React.createClass({
  displayName: "SchemaAction",
  getDefaultProps: function getDefaultProps() {
    return {
      model: 'ZNPluginWorkflowSchemaAction'
    };
  },
  getInitialState: function getInitialState() {
    return {
      data: zn.store.post('/zn.plugin.admin/model/paging', {
        model: this.props.model,
        where: this.props.schema_uuid ? {
          schema_uuid: this.props.schema_uuid
        } : null
      }),
      items: [{
        title: '名称',
        name: 'zn_title',
        width: 120
      }, {
        title: '可用',
        name: 'disabled',
        width: 40
      }, {
        title: '时序',
        name: '_order',
        width: 60
      }, {
        title: '类型',
        name: '_type',
        width: 60
      }, {
        title: '键(_key)',
        name: '_key',
        width: 80
      }, {
        title: '值(_value)',
        name: '_value',
        width: 280
      }, {
        title: '参数',
        name: '_parameters',
        width: 200
      }, {
        title: '说明',
        name: 'zn_note'
      }],
      formItems: [{
        title: '名称',
        name: 'zn_title',
        type: 'Textarea'
      }, {
        title: '是否可用',
        name: 'disabled',
        data: [{
          text: "是",
          value: 0
        }, {
          text: "否",
          value: 1
        }],
        type: 'Radio'
      }, {
        title: '时序',
        name: '_order',
        type: 'Select',
        data: [{
          text: '前置',
          value: '__before'
        }, {
          text: '初始化',
          value: '__init'
        }, {
          text: '后置',
          value: '__after'
        }]
      }, {
        title: '类型',
        name: '_type',
        type: 'Select',
        data: [{
          text: '推送内部消息',
          value: '__message'
        }, {
          text: '请求链接',
          value: '__url'
        }, {
          text: '发送邮件',
          value: '__email'
        }, {
          text: '发送短信',
          value: '__sms'
        }]
      }, {
        title: '键(_key)',
        name: '_key',
        type: 'Input'
      }, {
        title: '值(_value)',
        name: '_value',
        type: 'Textarea'
      }, {
        title: '参数',
        name: '_parameters',
        type: 'Textarea'
      }, {
        title: '说明',
        name: 'zn_note',
        type: 'Textarea'
      }],
      toolbarItems: [{
        text: '添加',
        method: '__addItem',
        icon: 'fa-plus',
        style: {
          marginRight: 5
        }
      }, {
        text: '删除',
        method: '__removeItems',
        status: 'danger',
        icon: 'fa-remove',
        style: {
          marginRight: 5
        }
      }]
    };
  },
  componentWillReceiveProps: function componentWillReceiveProps(nextProps) {
    if (nextProps.schema_uuid) {
      this.state.data.extend({
        where: {
          schema_uuid: nextProps.schema_uuid
        }
      }).refresh();
    }
  },
  __doSuccess: function __doSuccess() {
    this.state.data.refresh();
    zn.notification.success('操作成功');
    zn.modal.close();
    return false;
  },
  __addItem: function __addItem(event) {
    /*event.stopPropagation();
    zn.popover.render(<zn.react.Form
    	action='/zn.plugin.admin/model/insert'
    	merge='values'
    	hiddens={{ schema_uuid: this.props.schema_uuid }}
    	exts={{ model: this.props.model }}
    	onSubmitSuccess={this.__doSuccess}
    	items={this.state.formItems} />, zn.extend({
    	event: event,
    	reset: true,
    	target: event.target,
    	style: {overflow: 'auto'}
    }, this.props));*/
    zn.dialog({
      title: '新增',
      content: React.createElement(zn.react.Form, {
        action: "/zn.plugin.admin/model/insert",
        merge: "values",
        hiddens: {
          schema_uuid: this.props.schema_uuid
        },
        exts: {
          model: this.props.model
        },
        onSubmitSuccess: this.__doSuccess,
        items: this.state.formItems
      })
    });
  },
  __updateItem: function __updateItem(data) {
    zn.dialog({
      title: '更新',
      content: React.createElement(zn.react.Form, {
        merge: "updates",
        action: "/zn.plugin.admin/model/update",
        exts: {
          model: this.props.model,
          where: {
            id: data.id
          }
        },
        value: data,
        onSubmitSuccess: this.__doSuccess,
        items: this.state.formItems
      })
    });
  },
  __removeItems: function __removeItems() {
    var _self = this,
        _values = this.refs.table.getValue();

    if (_values && _values.length) {
      zn.confirm('确认删除这' + _values.length + '个数据吗？', '提示', function () {
        zn.http.post('/zn.plugin.admin/model/delete', {
          model: this.props.model,
          where: "id in (" + _values.join(',') + ")"
        }).then(function (data) {
          if (data.status == 200) {
            zn.notification.success('删除成功');

            _self.state.data.refresh();
          } else {
            zn.notification.error('调用失败: ' + data.result);
          }
        }, function () {
          zn.notification.error('服务器错误: 删除失败');
        });
      }.bind(this));
    } else {
      zn.notification.warning('请先选择要删除的数据');
    }
  },
  __onToolbarClick: function __onToolbarClick(item, icon, icons, event) {
    this[item.method] && this[item.method](event);
  },
  __onTableColumnRender: function __onTableColumnRender(rowIndex, columnIndex, data, item, value) {
    var _this = this;

    switch (columnIndex) {
      case 1:
        return React.createElement("span", null, React.createElement("i", {
          className: "fa fa-edit zr-padding-3",
          onClick: function onClick() {
            return _this.__updateItem(data);
          }
        }), value);

      case 2:
        return value == 1 ? '否' : '是';
    }

    return value;
  },
  render: function render() {
    return React.createElement(zn.react.PagerView, {
      ref: "table",
      view: "Table",
      checkbox: 50,
      showHeader: true,
      toolbarItems: this.state.toolbarItems,
      onToolbarClick: this.__onToolbarClick,
      columnRender: this.__onTableColumnRender,
      data: this.state.data,
      dataFixed: true,
      items: this.state.items
    });
  }
});
var SchemaField = React.createClass({
  displayName: "SchemaField",
  getDefaultProps: function getDefaultProps() {
    return {
      model: 'ZNPluginWorkflowSchemaField'
    };
  },
  getInitialState: function getInitialState() {
    return {
      data: zn.store.post('/zn.plugin.admin/model/paging', {
        model: this.props.model,
        where: this.props.schema_uuid ? {
          schema_uuid: this.props.schema_uuid
        } : null
      }),
      items: [{
        title: '表单名称(title)',
        name: 'title',
        width: 120
      }, {
        title: '表单名(name)',
        name: 'name',
        width: 100
      }, {
        title: '表单类型',
        name: 'type',
        width: 100
      }, {
        title: '资源ID(var_id)',
        name: 'var_id',
        width: 100
      }, {
        title: '宽度(width)',
        name: 'width',
        width: 100
      }, {
        title: '数据源(data)',
        name: 'data',
        width: 160
      }, {
        title: '属性(props)',
        name: 'props',
        width: 200
      }, {
        title: '字段类型',
        name: 'field_type',
        width: 140
      }, {
        title: '字段函数',
        name: 'field_convert',
        width: 140
      }, {
        title: '字段默认值',
        name: 'field_default',
        width: 100
      }, {
        title: '说明',
        name: 'zn_note'
      }],
      formItems: [{
        title: '字段类型',
        type: 'Input',
        name: 'field_type'
      }, {
        title: '字段函数',
        type: 'Input',
        name: 'field_convert'
      }, {
        title: '字段默认值',
        type: 'Input',
        name: 'field_default'
      }, //{ title: '字段描述', type: 'Textarea', name: 'field_detail' },
      {
        title: '表单名称(title)',
        type: 'Input',
        name: 'title'
      }, {
        title: '表单名(name)',
        type: 'Input',
        name: 'name'
      }, {
        title: '表单类型',
        type: 'Menu',
        name: 'type',
        data: ['Input', 'Select', 'Label', 'ImageUploader', 'FileUploader', 'Checkbox', 'CheckboxGroup', 'Radio', 'RadioGroup', 'Textarea', 'Richarea']
      }, {
        title: '资源ID(var_id)',
        type: 'Input',
        attrs: {
          type: 'number'
        },
        name: 'var_id'
      }, {
        title: '宽度(width)',
        type: 'Input',
        attrs: {
          type: 'number'
        },
        name: 'width'
      }, {
        title: '数据源(data)',
        type: 'Textarea',
        name: 'data'
      }, {
        title: '属性(props)',
        type: 'Textarea',
        name: 'props'
      }, {
        title: '说明',
        type: 'Textarea',
        name: 'zn_note'
      }],
      toolbarItems: [{
        text: '添加',
        method: '__addItem',
        icon: 'fa-plus',
        style: {
          marginRight: 5
        }
      }, {
        text: '删除',
        method: '__removeItems',
        status: 'danger',
        icon: 'fa-remove',
        style: {
          marginRight: 5
        }
      }]
    };
  },
  componentWillReceiveProps: function componentWillReceiveProps(nextProps) {
    if (nextProps.schema_uuid) {
      this.state.data.extend({
        where: {
          schema_uuid: nextProps.schema_uuid
        }
      }).refresh();
    }
  },
  __doSuccess: function __doSuccess() {
    this.state.data.refresh();
    zn.notification.success('操作成功');
    zn.modal.close();
    return false;
  },
  __addItem: function __addItem(event) {
    event.stopPropagation();
    /*
    zn.popover.render(<zn.react.Form
    	action='/zn.plugin.admin/model/insert'
    	merge='values'
    	hiddens={{ schema_uuid: this.props.schema_uuid }}
    	exts={{ model: this.props.model }}
    	onSubmitSuccess={this.__doSuccess}
    	items={this.state.formItems} />, zn.extend({
    	event: event,
    	reset: true,
    	target: event.target,
    	style: {overflow: 'auto'}
    }, this.props));*/

    zn.dialog({
      title: '新增',
      content: React.createElement(zn.react.Form, {
        action: "/zn.plugin.admin/model/insert",
        merge: "values",
        hiddens: {
          schema_uuid: this.props.schema_uuid
        },
        exts: {
          model: this.props.model
        },
        onSubmitSuccess: this.__doSuccess,
        items: this.state.formItems
      })
    });
  },
  __updateItem: function __updateItem(data) {
    zn.dialog({
      title: '更新',
      content: React.createElement(zn.react.Form, {
        merge: "updates",
        action: "/zn.plugin.admin/model/update",
        exts: {
          model: this.props.model,
          where: {
            id: data.id
          }
        },
        value: data,
        onSubmitSuccess: this.__doSuccess,
        items: this.state.formItems
      })
    });
  },
  __removeItems: function __removeItems() {
    var _self = this,
        _values = this.refs.table.getValue();

    if (_values && _values.length) {
      zn.confirm('确认删除这' + _values.length + '个数据吗？', '提示', function () {
        zn.http.post('/zn.plugin.admin/model/delete', {
          model: this.props.model,
          where: "id in (" + _values.join(',') + ")"
        }).then(function (data) {
          if (data.status == 200) {
            zn.notification.success('删除成功');

            _self.state.data.refresh();
          } else {
            zn.notification.error('调用失败: ' + data.result);
          }
        }, function () {
          zn.notification.error('服务器错误: 删除失败');
        });
      }.bind(this));
    } else {
      zn.notification.warning('请先选择要删除的数据');
    }
  },
  __onToolbarClick: function __onToolbarClick(item, icon, icons, event) {
    this[item.method] && this[item.method](event);
  },
  __onTableColumnRender: function __onTableColumnRender(rowIndex, columnIndex, data, item, value) {
    var _this2 = this;

    switch (columnIndex) {
      case 1:
        return React.createElement("span", null, React.createElement("i", {
          className: "fa fa-edit zr-padding-3",
          onClick: function onClick() {
            return _this2.__updateItem(data);
          }
        }), value);
    }

    return value;
  },
  render: function render() {
    return React.createElement(zn.react.PagerView, {
      ref: "table",
      view: "Table",
      checkbox: 50,
      showHeader: true,
      toolbarItems: this.state.toolbarItems,
      onToolbarClick: this.__onToolbarClick,
      columnRender: this.__onTableColumnRender,
      data: this.state.data,
      dataFixed: true,
      items: this.state.items
    });
  }
});
var SchemaInfo = React.createClass({
  displayName: "SchemaInfo",
  getInitialState: function getInitialState() {
    return {
      currIndex: 0
    };
  },
  __doSuccess: function __doSuccess() {
    zn.notification.success('修改成功');
    return false;
  },
  __renderBody: function __renderBody() {
    switch (this.state.currIndex) {
      case 0:
        return React.createElement(zn.react.Form, {
          merge: "updates",
          action: "/zn.plugin.admin/model/update",
          exts: {
            model: 'ZNPluginWorkflowSchema',
            where: {
              uuid: this.props.id
            }
          },
          value: zn.store.post('/zn.plugin.workflow/wfschema/getNodeSchema', {
            id: this.props.id
          }),
          onSubmitSuccess: this.__doSuccess,
          items: [{
            title: 'UUID',
            type: 'Label',
            name: 'uuid'
          }, {
            title: '名称',
            type: 'Label',
            name: 'zn_title'
          }, {
            title: '类型',
            type: 'Select',
            disabled: true,
            name: 'type',
            data: TYPE_ARRAY
          }, {
            title: '权限逻辑',
            type: 'Select',
            name: 'rights_logic',
            data: RIGHTS_LOGICS
          }, {
            title: '权限用户',
            type: zn.plugin.admin.UserSelector,
            name: 'zn_rights_observe_users'
          }, {
            title: '权限角色',
            type: zn.plugin.admin.RoleSelector,
            name: 'zn_rights_observe_roles'
          }, {
            title: '属性',
            type: 'Textarea',
            name: 'attrs'
          }]
        });

      case 1:
        return React.createElement(SchemaAction, {
          schema_uuid: this.props.id
        });

      case 2:
        return React.createElement(SchemaField, {
          schema_uuid: this.props.id
        });
    }
  },
  render: function render() {
    var _this3 = this;

    return React.createElement("div", {
      className: "zr-flex-layout"
    }, React.createElement(zn.react.ListView, {
      className: "layout-header zr-tab-ios",
      style: {
        margin: 5
      },
      selectMode: "radio",
      textKey: "text",
      valueKey: "index",
      onClick: function onClick(value) {
        return _this3.setState({
          currIndex: value.item.index
        });
      },
      value: this.state.currIndex,
      data: [{
        index: 0,
        text: '字段信息',
        icon: 'fa-list-alt'
      }, {
        index: 1,
        text: '节点规则',
        icon: 'fa-table'
      }, {
        index: 2,
        text: '节点表单',
        icon: 'fa-list'
      }]
    }), React.createElement("div", {
      className: "layout-body"
    }, this.__renderBody()));
  }
});
module.exports = React.createClass({
  displayName: "exports",
  getInitialState: function getInitialState() {
    return {
      info: {},
      json_schema: {},
      schemas: null,
      toolBarItems: []
    };
  },
  componentDidMount: function componentDidMount() {
    this.__loadInfo();
  },
  componentDidUpdate: function componentDidUpdate(prevProps, prevState) {
    if (prevProps.indexId != this.props.indexId) {
      this.__loadInfo();
    }
  },
  __onToolbarClick: function __onToolbarClick(obj, nodeProps) {
    switch (obj.name) {
      case 'workflow.schema.init':
        zn.dialog({
          title: '初始化流程画布',
          content: React.createElement(zn.react.Form, {
            onSubmitBefore: function (value) {
              this.setState({
                json_schema: {
                  nodes: [{
                    x: 100,
                    y: 100,
                    data: {
                      title: value.value || '开始',
                      type: 'begin'
                    }
                  }],
                  links: []
                }
              });
              return zn.modal.close(), false;
            }.bind(this),
            items: [{
              title: '节点名称',
              name: 'value',
              type: 'Input'
            }, {
              title: '节点类型',
              name: 'type',
              type: 'Label',
              value: '开始节点'
            }]
          })
        });
        break;

      case 'workflow.schema.save':
        this.__save();

        break;

      case 'workflow.schema.define':
        this.__define();

        break;

      case 'workflow.schema.node.define.edit':
        this.__editDefine(nodeProps);

        break;

      case 'workflow.schema.node.delete':
        this.__onRemoveNode(nodeProps);

        break;
    }
  },
  __editDefine: function __editDefine(nodeProps) {
    zn.dialog({
      title: '编辑流程节点',
      content: React.createElement(SchemaInfo, nodeProps)
    });
  },
  __onRemoveNode: function __onRemoveNode(nodeProps) {
    zn.confirm('确定删除改节点吗？', '提示', function () {
      if (nodeProps.data.type == 'begin') {
        return zn.toast.error('注意：开始节点不能被删除！'), false;
      }

      this.refs.flowcanvas.deleteNodeById(nodeProps.id);
    }.bind(this));
  },
  __save: function __save() {
    zn.preloader.open({
      title: '保存中...'
    });
    zn.http.post('/zn.plugin.admin/model/update', {
      model: 'ZNPluginWorkflowIndex',
      updates: {
        json_schema: JSON.stringify(this.refs.flowcanvas.getData())
      },
      where: {
        id: this.props.indexId
      }
    }).then(function (data) {
      if (data.status == 200) {
        zn.notification.success('保存成功');
      } else {
        zn.notification.success('保存失败：' + data.result);
      }

      zn.preloader.close();
    }, function (data) {
      zn.notification.success('保存失败：服务器错误');
      zn.preloader.close();
    });
  },
  __define: function __define() {
    zn.confirm('确定生成流程定义吗？', '提示', function () {
      zn.preloader.open({
        title: '生成中...'
      });
      zn.http.post('/zn.plugin.workflow/wfindex/toDefinition', {
        indexId: this.props.indexId
      }).then(function (data) {
        if (data.status == 200) {
          zn.notification.success('生成流程定义成功');

          this.__loadInfo();
        } else {
          zn.notification.error('生成失败：' + data.result);
        }

        zn.preloader.close();
      }.bind(this), function () {
        zn.preloader.close();
      });
    }.bind(this));
  },
  __loadInfo: function __loadInfo() {
    zn.preloader.open({
      title: '加载数据...'
    });
    zn.http.post('/zn.plugin.workflow/wfindex/getIndexSchema', {
      indexId: this.props.indexId
    }).then(function (data) {
      if (data.status == 200) {
        var _states = {},
            _data = data.result,
            _tbItems = [{
          tooltip: '初始化流程画布',
          name: 'workflow.schema.init',
          icon: 'fa-paint-brush'
        }, {
          tooltip: '保存画布',
          name: 'workflow.schema.save',
          icon: 'fa-floppy-o'
        }, {
          tooltip: '生成流程定义',
          name: 'workflow.schema.define',
          icon: 'fa-code-fork'
        }];
        _states = {
          info: _data.info,
          json_schema: _data.info.json_schema,
          schemas: _data.schemas,
          toolBarItems: _tbItems
        };

        if (this.state.currData) {
          var _actions = [{
            tooltip: '删除节点',
            name: 'workflow.schema.node.delete',
            icon: 'fa-remove'
          }];

          if (_states.schemas && _states.schemas.length) {
            _actions.push({
              text: '编辑节点',
              name: 'workflow.schema.node.define.edit',
              icon: 'fa-edit'
            });
          }

          _states.subToolbarItems = _actions;
        }

        this.setState(_states);
      } else {
        zn.toast.error(data.result);
      }

      zn.preloader.close();
    }.bind(this), function () {
      zn.toast.error('加载失败');
      zn.preloader.close();
    });
  },
  __onNodeTypeClick: function __onNodeTypeClick(event, node, props) {
    //event.stopPropagation();
    console.log('xxx');
  },
  __nodeRender: function __nodeRender(data, node) {
    var _this4 = this;

    return React.createElement("div", {
      className: "wf-node"
    }, React.createElement("div", {
      className: "node-type type-" + data.type,
      onClick: function onClick(event) {
        return _this4.__onNodeTypeClick(event, node, data);
      }
    }, NODE_TYPES[data.type], React.createElement("i", {
      className: "action fa fa-ellipsis-v"
    })), React.createElement("div", {
      className: "node-title"
    }, data.title));
  },
  __onNodeDragEnd: function __onNodeDragEnd() {//this.__save();
  },
  __onNodeEditDragEnd: function __onNodeEditDragEnd(node, data) {
    var _parentPosition = node._parentPosition,
        _vector = {
      x: data.currX - _parentPosition.x,
      y: data.currY - _parentPosition.y
    };
    zn.dialog({
      title: '编辑',
      content: React.createElement(zn.react.Form, {
        onSubmitBefore: function onSubmitBefore(data, form) {
          _vector.data = data;
          node.props.canvas.addNode(_vector, node);
          return zn.modal.close(), false;
        },
        items: [{
          title: '节点名称',
          type: 'Input',
          name: 'title',
          required: true
        }, {
          title: '节点类型',
          type: 'Select',
          name: 'type',
          data: TYPE_ARRAY,
          required: true
        }]
      })
    });
  },
  getParent: function getParent(target) {
    if (target.classList.contains('wf-node')) {
      return target;
    } else {
      return this.getParent(target.parentNode);
    }
  },
  __onNodeClick: function __onNodeClick(event, node, props) {
    if (this.props.disabled) {
      return;
    }

    var _actions = [{
      tooltip: '删除节点',
      name: 'workflow.schema.node.delete',
      icon: 'fa-remove'
    }];

    if (this.state.schemas && this.state.schemas.length) {//_actions.push({ text: '编辑节点', name: 'workflow.schema.node.define.edit', icon: 'fa-edit' });
    }

    this.setState({
      currData: props,
      subToolbarItems: _actions
    });
  },
  render: function render() {
    var _this7 = this;

    return React.createElement("div", {
      className: "zn-plugin-workflow-schema-designer"
    }, React.createElement("div", {
      className: "tool-bars",
      onClick: function onClick(event) {
        return event.stopPropagation();
      }
    }, this.state.toolBarItems.map(function (item) {
      var _this5 = this;

      return React.createElement("i", {
        onClick: function onClick() {
          return _this5.__onToolbarClick(item);
        },
        "data-tooltip": item.tooltip,
        className: "fa " + item.icon
      });
    }.bind(this)), React.createElement("i", {
      className: "separator"
    }), this.state.currData && this.state.subToolbarItems.map(function (item) {
      var _this6 = this;

      return React.createElement("i", {
        onClick: function onClick() {
          return _this6.__onToolbarClick(item, _this6.state.currData);
        },
        "data-tooltip": item.tooltip,
        className: "fa " + item.icon
      });
    }.bind(this))), React.createElement(zn.react.FlowCanvas, {
      ref: "flowcanvas",
      onNodeEditDragEnd: this.__onNodeEditDragEnd,
      onNodeDragEnd: this.__onNodeDragEnd,
      onNodeClick: this.__onNodeClick,
      nodeRender: this.__nodeRender,
      data: this.state.json_schema
    }), this.state.currData && React.createElement("div", {
      className: "schema-info"
    }, React.createElement(SchemaInfo, this.state.currData), React.createElement("i", {
      title: "\u5173\u95ED",
      className: "close fa fa-remove",
      onClick: function onClick() {
        return _this7.setState({
          currData: null
        });
      }
    })));
  }
});

/***/ }),
/* 19 */
/***/ (function(module, exports) {

// removed by extract-text-webpack-plugin

/***/ }),
/* 20 */
/***/ (function(module, exports, __webpack_require__) {

var _exports = {},
    _export = null,
    _path = null;
[].forEach(function (path) {
  _path = './' + path + '/index.js';
  _export = __webpack_require__(6)(_path);

  for (var key in _export) {
    _exports[(path + '.' + key).toLowerCase()] = _export[key];
  }
});
['WFApply', 'WFCreateInstance', 'WFIndex', 'WFInstance', 'WFInstances', 'WFMyApply', 'WFMyDone', 'WFMyTodo'].forEach(function (path) {
  _path = './' + path;
  _exports[path.toLowerCase()] = __webpack_require__(6)(_path);
});
module.exports = _exports;

/***/ })
/******/ ]);