var React = require('react');
var WFInstanceList = require('../component/WFInstanceList.js');
module.exports = React.createClass({
	getDefaultProps: function () {
		return {
			model: 'zn_plugin_workflow_index',
			pid: 0,
			title: '流程实例查询',
			menuId: 0,
			fields: [
				{ title: '名称', type: 'Input', name: 'zn_title' },
				{ title: '类型', type: 'Radio', name: 'schema_type', value: 'category',
					data: [
						{ text: '流程类别', value: 'category' },
						{ text: '流程定义', value: 'schema' }
					]
				},
				{ title: '说明', type: 'Textarea', name: 'zn_note' }
			]
		};
	},
	__rightRender: function (data){
		if(data.data.schema_type=='category'){
			return;
		}

		return <WFInstanceList indexId={data.value} />;
	},
	__itemContentRender: function (data, treeColumn, tree){
		return <span>
			{data.schema_type=='category'?<i data-tooltip="流程实例查询" className='fa fa-folder' style={{padding: 5}} />:<i title="流程定义" className={'fa '+(data.icon||'fa-sitemap')} style={{padding: 5}} />}
			{data.zn_title}
		</span>;
	},
	render:function(){
		return (
			<zn.plugin.admin.TreeModelView editable={false} leftWidth={20} {...this.props} rightRender={this.__rightRender} itemContentRender={this.__itemContentRender} />
		);
	}
});
